## isomd5sum 1.0.4

=== Makefile ===
PYVER  := $(shell python -c 'import sys; print sys.version[0:3]')
PYTHON = python$(PYVER)
PYTHONINCLUDE = /usr/include/$(PYTHON)

ifneq (,$(filter ppc64 x86_64 s390x,$(shell uname -m)))
LIBDIR = lib64
else
LIBDIR = lib
endif

CFLAGS = $(RPM_OPT_FLAGS) -Wall -Werror -D_GNU_SOURCE=1 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE=1 -D_LARGEFILE64_SOURCE=1 -fPIC -I$(PYTHONINCLUDE)

OBJECTS = md5.o libimplantisomd5.o checkisomd5.o implantisomd5
SOURCES = $(patsubst %.o,%.c,$(OBJECTS))
LDFLAGS += -fPIC

PYOBJS = pyisomd5sum.o libcheckisomd5.a libimplantisomd5.a

all: implantisomd5 checkisomd5 pyisomd5sum.so libimplantisomd5.a libcheckisomd5.a

%.o: %.c
	$(CC) -c -O $(CFLAGS) -o $@ $<

implantisomd5: implantisomd5.o libimplantisomd5.a
	$(CC) -lpopt $(CFLAGS) implantisomd5.o libimplantisomd5.a -o implantisomd5

checkisomd5: checkisomd5.o libcheckisomd5.a
	$(CC) -lpopt $(CFLAGS) checkisomd5.o libcheckisomd5.a -o checkisomd5

libimplantisomd5.a: libimplantisomd5.a(libimplantisomd5.o md5.o)

libcheckisomd5.a: libcheckisomd5.a(libcheckisomd5.o md5.o)

pyisomd5sum.so: $(PYOBJS)
	$(CC) -shared -g -o pyisomd5sum.so -fpic $(PYOBJS) $(LDFLAGS)

install: all
	mkdir -p $(DESTDIR)/usr/$(LIBDIR)/$(PYTHON)/site-packages
	mkdir -p $(DESTDIR)/usr/include
	mkdir -p $(DESTDIR)/usr/bin
	mkdir -p $(DESTDIR)/usr/share/man/man1
	install -m 755 implantisomd5 $(DESTDIR)/usr/bin
	install -m 755 checkisomd5 $(DESTDIR)/usr/bin
	install -m 755 implantisomd5.1 $(DESTDIR)/usr/share/man/man1
	install -m 755 checkisomd5.1 $(DESTDIR)/usr/share/man/man1
	install -m 755 pyisomd5sum.so $(DESTDIR)/usr/$(LIBDIR)/$(PYTHON)/site-packages
#	ln -s ../../bin/implantisomd5 $(DESTDIR)/usr/lib/anaconda-runtime/implantisomd5
#	ln -s ../../bin/checkisomd5 $(DESTDIR)/usr/lib/anaconda-runtime/checkisomd5
	install -m 644 libimplantisomd5.h $(DESTDIR)/usr/include/
	install -m 644 libcheckisomd5.h $(DESTDIR)/usr/include/
	install -m 644 libimplantisomd5.a $(DESTDIR)/usr/$(LIBDIR)
	install -m 644 libcheckisomd5.a $(DESTDIR)/usr/$(LIBDIR)

clean:
	rm -f *.o *.so *.pyc *.a .depend *~
	rm -f implantisomd5 checkisomd5 

VERSION=$(shell awk '/Version:/ { print $$2 }' isomd5sum.spec)
RELEASE=$(shell awk '/Release:/ { print $$2 }' isomd5sum.spec |sed -e 's/%{?dist}//')

rpmlog:
	@echo "* `date "+%a %b %d %Y"` `git-config user.name` <`git-config user.email`>"
	@git-log --pretty="format:- %s (%ae)" $(VERSION)-$(RELEASE).. |sed -e 's/@.*)/)/'
	@echo

tag:
	@git tag -a -m "Tag as $(VERSION)-$(RELEASE)" -f $(VERSION)-$(RELEASE)
	@echo "Tagged as $(VERSION)-$(RELEASE)"

archive:
	@git-archive --format=tar --prefix=isomd5sum-$(VERSION)/ HEAD |bzip2 > isomd5sum-$(VERSION).tar.bz2
	@echo "The final archive is in isomd5sum-$(VERSION).tar.bz2"

src: tag create-archive
	@rpmbuild -ts --nodeps booty-$(VERSION).tar.bz2

## isomd5sum 1.0.5

=== Makefile ===
PYVER  := $(shell python -c 'import sys; print sys.version[0:3]')
PYTHON = python$(PYVER)
PYTHONINCLUDE = /usr/include/$(PYTHON)

VERSION=1.0.5

ifneq (,$(filter sparc64 ppc64 x86_64 s390x,$(shell uname -m)))
LIBDIR = lib64
else
LIBDIR = lib
endif

CFLAGS = $(RPM_OPT_FLAGS) -Wall -Werror -D_GNU_SOURCE=1 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE=1 -D_LARGEFILE64_SOURCE=1 -fPIC -I$(PYTHONINCLUDE)

OBJECTS = md5.o libimplantisomd5.o checkisomd5.o implantisomd5
SOURCES = $(patsubst %.o,%.c,$(OBJECTS))
LDFLAGS += -fPIC

PYOBJS = pyisomd5sum.o libcheckisomd5.a libimplantisomd5.a

all: implantisomd5 checkisomd5 pyisomd5sum.so libimplantisomd5.a libcheckisomd5.a

%.o: %.c
	$(CC) -c -O $(CFLAGS) -o $@ $<

implantisomd5: implantisomd5.o libimplantisomd5.a
	$(CC) -lpopt $(CFLAGS) implantisomd5.o libimplantisomd5.a -o implantisomd5

checkisomd5: checkisomd5.o libcheckisomd5.a
	$(CC) -lpopt $(CFLAGS) checkisomd5.o libcheckisomd5.a -o checkisomd5

libimplantisomd5.a: libimplantisomd5.a(libimplantisomd5.o md5.o)

libcheckisomd5.a: libcheckisomd5.a(libcheckisomd5.o md5.o)

pyisomd5sum.so: $(PYOBJS)
	$(CC) -shared -g -o pyisomd5sum.so -fpic $(PYOBJS) $(LDFLAGS)

install: all install-bin install-python install-devel

install-bin:
	install -d -m 0755 $(DESTDIR)/usr/bin
	install -d -m 0755 $(DESTDIR)/usr/share/man/man1
	install -m 0755 implantisomd5 $(DESTDIR)/usr/bin
	install -m 0755 checkisomd5 $(DESTDIR)/usr/bin
	install -m 0644 implantisomd5.1 $(DESTDIR)/usr/share/man/man1
	install -m 0644 checkisomd5.1 $(DESTDIR)/usr/share/man/man1

install-python:
	install -d -m 0755 $(DESTDIR)/usr/$(LIBDIR)/$(PYTHON)/site-packages
	install -m 0755 pyisomd5sum.so $(DESTDIR)/usr/$(LIBDIR)/$(PYTHON)/site-packages

install-devel:
	install -d -m 0755 $(DESTDIR)/usr/include
	install -d -m 0755 $(DESTDIR)/usr/$(LIBDIR)
	install -m 0644 libimplantisomd5.h $(DESTDIR)/usr/include/
	install -m 0644 libcheckisomd5.h $(DESTDIR)/usr/include/
	install -m 0644 libimplantisomd5.a $(DESTDIR)/usr/$(LIBDIR)
	install -m 0644 libcheckisomd5.a $(DESTDIR)/usr/$(LIBDIR)

clean:
	rm -f *.o *.so *.pyc *.a .depend *~
	rm -f implantisomd5 checkisomd5 

tag:
	@git tag -a -m "Tag as $(VERSION)" -f $(VERSION)
	@echo "Tagged as $(VERSION)"

archive:
	@git archive --format=tar --prefix=isomd5sum-$(VERSION)/ HEAD |bzip2 > isomd5sum-$(VERSION).tar.bz2
	@echo "The final archive is in isomd5sum-$(VERSION).tar.bz2"

=== debian/changelog ===
isomd5sum (1:1.0.5-1) unstable; urgency=low

  * New upstream version.
  * debian/rules: Include /usr/share/python/python.mk.
  * debian/rules: Use call py_sitename_sh macro to install all python 
    stuffs correctly.

 -- Ryan Finnie <ryan@finnie.org>  Thu, 21 Oct 2010 11:32:13 -0700

isomd5sum (1:1.0.4-1) unstable; urgency=low

  * New upstream version.
  * Epoch added, upstream re-worked into standalone package
  * debian/control: new homepage/git
  * debian/control: clarified description
  * Removed sgml documentation (manpages moved upstream)
  * Added watch file

 -- Ryan Finnie <ryan@finnie.org>  Tue, 12 Feb 2008 20:50:55 -0800

isomd5sum (11.4.0.1.1-2) unstable; urgency=low

  * Makefile: Only link implantisomd5sum against popt (dpkg-shlibdeps warning)
  * debian/control: python-pyisomd5sum now section python, fixes Lintian
    python-package-should-be-section-python warning
  * debian/control: bump standards version to 3.7.3, fixes Lintian
    out-of-date-standards-version

 -- Ryan Finnie <ryan@finnie.org>  Wed, 09 Jan 2008 17:29:18 -0800

isomd5sum (11.4.0.1.1-1) unstable; urgency=low

  * New upstream version.
  * debian/implantisomd5.sgml: --supported now --supported-iso
  * debian/rules: Errors on "make clean" no longer ignored (Lintian
    debian-rules-ignores-make-clean-error).
  * debian/rules, debian/control: Added pycentral run, as it turns out even
    public-extension-only packages need it for deps.
  * debian/control: Added Homepage, Vcs-Browser, and Vcs-Git.

 -- Ryan Finnie <ryan@finnie.org>  Wed, 28 Nov 2007 12:26:16 -0800

isomd5sum (11.2.0.28-3) unstable; urgency=low

  * Dm-Upload-Allowed changed to XS-Dm-Upload-Allowed so it may be exported
    to the .dsc.

 -- Ryan Finnie <ryan@finnie.org>  Mon, 26 Nov 2007 22:41:00 -0800

isomd5sum (11.2.0.28-2) unstable; urgency=low

  * debian/control: Added "Dm-Upload-Allowed: yes" for debian-maintainer
    Ryan Finnie.

 -- Ryan Finnie <ryan@finnie.org>  Sat, 24 Nov 2007 22:56:39 -0800

isomd5sum (11.2.0.28-1) unstable; urgency=low

  * New upstream version
  * Added --gauge option to checkisomd5.sgml

 -- Ryan Finnie <ryan@finnie.org>  Sun,  4 Mar 2007 13:30:45 -0800

isomd5sum (11.1.0.95-2) unstable; urgency=low

  * debian/control: Moved targets from -indep to -arch. (Closes: #390521)

 -- Ryan Finnie <ryan@finnie.org>  Sun,  1 Oct 2006 13:31:56 -0700

isomd5sum (11.1.0.95-1) unstable; urgency=low

  * Initial release (Closes: #376187)

 -- Ryan Finnie <ryan@finnie.org>  Wed, 13 Sep 2006 14:17:39 -0700

=== debian/control ===
Source: isomd5sum
Section: misc
Priority: optional
Maintainer: Ryan Finnie <ryan@finnie.org>
Build-Depends: debhelper (>= 7), libpopt-dev, python-all-dev (>= 2.3.5-11), python-central
Standards-Version: 3.9.1
Homepage: http://fedorahosted.org/releases/i/s/isomd5sum
Vcs-Browser: http://git.fedorahosted.org/git/isomd5sum.git
Vcs-Git: git://git.fedorahosted.org/isomd5sum.git
XS-Python-Version: all
XS-Dm-Upload-Allowed: yes

Package: isomd5sum
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ISO9660 checksum utilities
 isomd5sum is a set of utilities for implanting a MD5 checksum in an 
 ISO (or any block device), then verifying the checksum later.  isomd5sum
 is not simply an MD5 of the entire ISO; it checksums the data inside a
 standard ISO9660 image and write block checksum information to an ISO9660
 header, that will carry over to burning the CD.
 .
 This package contains the utilities implantisomd5 and checkisomd5.

Package: python-pyisomd5sum
Architecture: any
Section: python
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: ISO9660 checksum Python module
 isomd5sum is a set of utilities for implanting a MD5 checksum in an 
 ISO (or any block device), then verifying the checksum later.  isomd5sum
 is not simply an MD5 of the entire ISO; it checksums the data inside a
 standard ISO9660 image and write block checksum information to an ISO9660
 header, that will carry over to burning the CD.
 .
 This package contains Python modules for isomd5sum.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

include /usr/share/python/python.mk

CFLAGS = -Wall -g
PYVERS=$(shell pyversions -r)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-arch build-indep
build-indep:
build-arch: build-isomd5sum build-python-pyisomd5sum

build-isomd5sum: build-isomd5sum-stamp
build-isomd5sum-stamp:
	$(MAKE) implantisomd5 checkisomd5
	touch $@

build-python-pyisomd5sum: build-python-pyisomd5sum-stamp
build-python-pyisomd5sum-stamp:
	set -e; \
	for python in $(PYVERS); do \
		$(MAKE) PYTHON=$$python pyisomd5sum.so; \
		mv pyisomd5sum.so pyisomd5sum.so.$$python; \
	done
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-isomd5sum-stamp build-python-pyisomd5sum-stamp

	set -e; \
	for python in $(PYVERS); do \
		rm -f pyisomd5sum.so.$$python; \
	done
	$(MAKE) clean

	dh_clean 

install: install-arch install-indep
install-indep:
install-arch: install-isomd5sum install-python-pyisomd5sum
	dh_install -s

install-isomd5sum:
	dh_testdir
	dh_testroot
	$(MAKE) DESTDIR=$(CURDIR)/debian/isomd5sum install-bin

install-python-pyisomd5sum:
	dh_testdir
	dh_testroot
	dh_installexamples -ppython-pyisomd5sum testpyisomd5sum.py
	set -e; \
	for python in $(PYVERS); do \
		install -m 0755 -d $(CURDIR)/debian/python-pyisomd5sum/usr/lib/$$python/$(call py_sitename_sh, $$python); \
		install -m 0644 pyisomd5sum.so.$$python $(CURDIR)/debian/python-pyisomd5sum/usr/lib/$$python/$(call py_sitename_sh, $$python)/pyisomd5sum.so; \
	done

binary-common:
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman
	dh_installchangelogs
	dh_installman
	dh_link
	dh_strip
	dh_compress 
	dh_fixperms
	dh_makeshlibs
	dh_pycentral
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:
binary-arch: binary-isomd5sum
binary-isomd5sum: build-isomd5sum build-python-pyisomd5sum install-isomd5sum install-python-pyisomd5sum
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary install binary-arch binary-indep build-arch build-indep install-arch install-indep

## isomd5sum 1.0.7+git.20110618.6c9cd2f

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 PYTHON = python$(PYVER)
 PYTHONINCLUDE = /usr/include/$(PYTHON)
 
-VERSION=1.0.5
+VERSION=1.0.7
 
 ifneq (,$(filter sparc64 ppc64 x86_64 s390x,$(shell uname -m)))
 LIBDIR = lib64
@@ -24,10 +24,10 @@
 	$(CC) -c -O $(CFLAGS) -o $@ $<
 
 implantisomd5: implantisomd5.o libimplantisomd5.a
-	$(CC) -lpopt $(CFLAGS) implantisomd5.o libimplantisomd5.a -o implantisomd5
+	$(CC) $(CFLAGS) implantisomd5.o libimplantisomd5.a -lpopt -o implantisomd5
 
 checkisomd5: checkisomd5.o libcheckisomd5.a
-	$(CC) -lpopt $(CFLAGS) checkisomd5.o libcheckisomd5.a -o checkisomd5
+	$(CC) $(CFLAGS) checkisomd5.o libcheckisomd5.a -lpopt -o checkisomd5
 
 libimplantisomd5.a: libimplantisomd5.a(libimplantisomd5.o md5.o)

=== debian/changelog ===
isomd5sum (1:1.0.7+git.20110618.6c9cd2f-1) unstable; urgency=low

  * New upstream version (upstream does not currently reliably publish 
    tarball releases; git used instead)

 -- Ryan Finnie <ryan@finnie.org>  Sat, 18 Jun 2011 14:16:50 -0700

isomd5sum (1:1.0.5-2) unstable; urgency=low

  * Bumped standards to 3.9.2
  * Added Suggests: genisoimage to python-pyisomd5sum (used by
    example/test script)
  * Converted package from dh_pycentral to dh_python2 (Closes: #616850)
  * Removed unneeded code triggering FTBFS in GCC 4.6 with -Werror
    (Closes: #625352)
  * Changed order of -lpopt linking causing FTBFS with recent binutils
    (LP: #771038)

 -- Ryan Finnie <ryan@finnie.org>  Fri, 06 May 2011 20:14:04 -0700

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: misc
 Priority: optional
 Maintainer: Ryan Finnie <ryan@finnie.org>
-Build-Depends: debhelper (>= 7), libpopt-dev, python-all-dev (>= 2.3.5-11), python-central
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7), libpopt-dev, python-all-dev (>= 2.6.6-3~)
+Standards-Version: 3.9.2
 Homepage: http://fedorahosted.org/releases/i/s/isomd5sum
 Vcs-Browser: http://git.fedorahosted.org/git/isomd5sum.git
 Vcs-Git: git://git.fedorahosted.org/isomd5sum.git
-XS-Python-Version: all
 XS-Dm-Upload-Allowed: yes
 
 Package: isomd5sum
@@ -26,8 +25,9 @@
 Architecture: any
 Section: python
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
+Suggests: genisoimage
 Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
+X-Python-Version: >= 2.4
 Description: ISO9660 checksum Python module
  isomd5sum is a set of utilities for implanting a MD5 checksum in an 
  ISO (or any block device), then verifying the checksum later.  isomd5sum

=== debian/rules ===
--- 
+++ 
@@ -87,7 +87,7 @@
 	dh_compress 
 	dh_fixperms
 	dh_makeshlibs
-	dh_pycentral
+	dh_python2
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol

=== debian/watch ===
# See uscan(1) for format
version=3
https://fedorahosted.org/releases/i/s/isomd5sum/isomd5sum-(.*)\.tar\.bz2

## isomd5sum 1.0.9

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 PYTHON = python$(PYVER)
 PYTHONINCLUDE = /usr/include/$(PYTHON)
 
-VERSION=1.0.7
+VERSION=1.0.9
 
 ifneq (,$(filter sparc64 ppc64 x86_64 s390x,$(shell uname -m)))
 LIBDIR = lib64
@@ -10,7 +10,7 @@
 LIBDIR = lib
 endif
 
-CFLAGS = $(RPM_OPT_FLAGS) -Wall -Werror -D_GNU_SOURCE=1 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE=1 -D_LARGEFILE64_SOURCE=1 -fPIC -I$(PYTHONINCLUDE)
+CFLAGS += -Wall -Werror -D_GNU_SOURCE=1 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE=1 -D_LARGEFILE64_SOURCE=1 -fPIC -I$(PYTHONINCLUDE)
 
 OBJECTS = md5.o libimplantisomd5.o checkisomd5.o implantisomd5
 SOURCES = $(patsubst %.o,%.c,$(OBJECTS))

=== debian/changelog ===
isomd5sum (1:1.0.9-2) unstable; urgency=low

  * Switch to debhelper-7-style debian/rules
  * debian/control: add XS-Python-Version: all

 -- Ryan Finnie <ryan@finnie.org>  Tue, 14 Aug 2012 04:18:11 -0700

isomd5sum (1:1.0.9-1) unstable; urgency=low

  * New upstream version
  * Updated debian/watch to check git snapshots on git.fedorahosted.org
  * Bumped standards to 3.9.3
  * Integrate dpkg-buildflags to allow for Debian hardening

 -- Ryan Finnie <ryan@finnie.org>  Fri, 03 Aug 2012 02:42:29 -0700

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: misc
 Priority: optional
 Maintainer: Ryan Finnie <ryan@finnie.org>
-Build-Depends: debhelper (>= 7), libpopt-dev, python-all-dev (>= 2.6.6-3~)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50~), libpopt-dev, python-all-dev (>= 2.6.6-3~)
+Standards-Version: 3.9.3
 Homepage: http://fedorahosted.org/releases/i/s/isomd5sum
 Vcs-Browser: http://git.fedorahosted.org/git/isomd5sum.git
 Vcs-Git: git://git.fedorahosted.org/isomd5sum.git
+XS-Python-Version: all
 XS-Dm-Upload-Allowed: yes
 
 Package: isomd5sum

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/python/python.mk

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) -fPIC
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

PYVERS=$(shell pyversions -r)

%:
	dh $@ --with=python2

override_dh_auto_build:
	$(MAKE) CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" implantisomd5 checkisomd5
	set -e; \
	for python in $(PYVERS); do \
		$(MAKE) CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS) -I/usr/include/$$python" LDFLAGS="$(LDFLAGS)" \
		PYTHON=$$python pyisomd5sum.so; \
		mv pyisomd5sum.so pyisomd5sum.so.$$python; \
	done

override_dh_auto_clean:
	set -e; \
	for python in $(PYVERS); do \
		rm -f pyisomd5sum.so.$$python; \
	done
	$(MAKE) clean
	dh_clean 

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/isomd5sum install-bin
	set -e; \
	for python in $(PYVERS); do \
		install -m 0755 -d $(CURDIR)/debian/python-pyisomd5sum/usr/lib/$$python/$(call py_sitename_sh, $$python); \
		install -m 0644 pyisomd5sum.so.$$python $(CURDIR)/debian/python-pyisomd5sum/usr/lib/$$python/$(call py_sitename_sh, $$python)/pyisomd5sum.so; \
	done

## isomd5sum 1.0.11

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 PYTHON = python$(PYVER)
 PYTHONINCLUDE = /usr/include/$(PYTHON)
 
-VERSION=1.0.9
+VERSION=1.0.11
 
-ifneq (,$(filter sparc64 ppc64 x86_64 s390x,$(shell uname -m)))
+ifneq (,$(filter sparc64 ppc64 x86_64 s390x aarch64,$(shell uname -m)))
 LIBDIR = lib64
 else
 LIBDIR = lib
@@ -21,20 +21,20 @@
 all: implantisomd5 checkisomd5 pyisomd5sum.so libimplantisomd5.a libcheckisomd5.a
 
 %.o: %.c
-	$(CC) -c -O $(CFLAGS) -o $@ $<
+	$(CC) $(CPPFLAGS) $(CFLAGS) -c -O -o $@ $<
 
 implantisomd5: implantisomd5.o libimplantisomd5.a
-	$(CC) $(CFLAGS) implantisomd5.o libimplantisomd5.a -lpopt -o implantisomd5
+	$(CC) $(CPPFLAGS) $(CFLAGS) implantisomd5.o libimplantisomd5.a -lpopt $(LDFLAGS) -o implantisomd5
 
 checkisomd5: checkisomd5.o libcheckisomd5.a
-	$(CC) $(CFLAGS) checkisomd5.o libcheckisomd5.a -lpopt -o checkisomd5
+	$(CC) $(CPPFLAGS) $(CFLAGS) checkisomd5.o libcheckisomd5.a -lpopt $(LDFLAGS) -o checkisomd5
 
 libimplantisomd5.a: libimplantisomd5.a(libimplantisomd5.o md5.o)
 
 libcheckisomd5.a: libcheckisomd5.a(libcheckisomd5.o md5.o)
 
 pyisomd5sum.so: $(PYOBJS)
-	$(CC) -shared -g -o pyisomd5sum.so -fpic $(PYOBJS) $(LDFLAGS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) -shared -g -fpic $(PYOBJS) $(LDFLAGS) -o pyisomd5sum.so
 
 install: all install-bin install-python install-devel

=== debian/changelog ===
isomd5sum (1:1.0.11-1) unstable; urgency=low

  * New upstream release
  * Use debhelper 9, let it take care of hardening
  * Add Debian package source control; move upstream git information to
    README.source
  * Bump Standards-Version to 3.9.4
  * Remove pyisomd5sum.so.python* from dh_auto_clean, in case a release
    disappears from pyversions between build and clean

 -- Ryan Finnie <ryan@finnie.org>  Mon, 22 Jul 2013 02:27:17 +0000

isomd5sum (1:1.0.10-1) unstable; urgency=low

  * New upstream version
  * Remove DMUA header

 -- Ryan Finnie <ryan@finnie.org>  Mon, 22 Apr 2013 19:29:17 +0000

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Section: misc
 Priority: optional
 Maintainer: Ryan Finnie <ryan@finnie.org>
-Build-Depends: debhelper (>= 7.0.50~), libpopt-dev, python-all-dev (>= 2.6.6-3~)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), libpopt-dev, python-all-dev (>= 2.6.6-3~)
+Standards-Version: 3.9.4
 Homepage: http://fedorahosted.org/releases/i/s/isomd5sum
-Vcs-Browser: http://git.fedorahosted.org/git/isomd5sum.git
-Vcs-Git: git://git.fedorahosted.org/isomd5sum.git
+Vcs-Browser: https://code.launchpad.net/~fo0bar/isomd5sum/isomd5sum-pkg-debian
+Vcs-Bzr: http://bazaar.launchpad.net/~fo0bar/isomd5sum/isomd5sum-pkg-debian
 XS-Python-Version: all
-XS-Dm-Upload-Allowed: yes
 
 Package: isomd5sum
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/python/python.mk

PYVERS=$(shell pyversions -r)

%:
	dh $@ --with=python2

override_dh_auto_build:
	$(MAKE) implantisomd5 checkisomd5
	set -e; \
	for python in $(PYVERS); do \
		$(MAKE) \
		PYTHON=$$python pyisomd5sum.so; \
		mv pyisomd5sum.so pyisomd5sum.so.$$python; \
	done

override_dh_auto_clean:
	rm -f pyisomd5sum.so.python*
	$(MAKE) clean
	dh_clean 

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/isomd5sum install-bin
	set -e; \
	for python in $(PYVERS); do \
		install -m 0755 -d $(CURDIR)/debian/python-pyisomd5sum/usr/lib/$$python/$(call py_sitename_sh, $$python); \
		install -m 0644 pyisomd5sum.so.$$python $(CURDIR)/debian/python-pyisomd5sum/usr/lib/$$python/$(call py_sitename_sh, $$python)/pyisomd5sum.so; \
	done

=== debian/watch ===
# See uscan(1) for format
version=3
http://git.fedorahosted.org/cgit/isomd5sum.git/refs/ \
  /cgit/isomd5sum.git/snapshot/isomd5sum-(.*)\.tar\.bz2

## isomd5sum 1.1.0

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,16 @@
-PYVER  := $(shell python -c 'import sys; print sys.version[0:3]')
-PYTHON = python$(PYVER)
-PYTHONINCLUDE = /usr/include/$(PYTHON)
+PYTHON ?= python3
+PYTHONSITEPACKAGES := $(shell $(PYTHON) -c 'import site; print(site.getsitepackages()[0])')
+PYTHONINCLUDE := $(shell $(PYTHON)-config --includes)
 
-VERSION=1.0.11
+VERSION=1.1.0
 
-ifneq (,$(filter sparc64 ppc64 x86_64 s390x aarch64,$(shell uname -m)))
+ifneq (,$(filter sparc64 ppc64 ppc64le x86_64 s390x aarch64,$(shell uname -m)))
 LIBDIR = lib64
 else
 LIBDIR = lib
 endif
 
-CFLAGS += -Wall -Werror -D_GNU_SOURCE=1 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE=1 -D_LARGEFILE64_SOURCE=1 -fPIC -I$(PYTHONINCLUDE)
+CFLAGS += -Wall -Werror -D_GNU_SOURCE=1 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE=1 -D_LARGEFILE64_SOURCE=1 -fPIC $(PYTHONINCLUDE)
 
 OBJECTS = md5.o libimplantisomd5.o checkisomd5.o implantisomd5
 SOURCES = $(patsubst %.o,%.c,$(OBJECTS))
@@ -47,8 +47,8 @@
 	install -m 0644 checkisomd5.1 $(DESTDIR)/usr/share/man/man1
 
 install-python:
-	install -d -m 0755 $(DESTDIR)/usr/$(LIBDIR)/$(PYTHON)/site-packages
-	install -m 0755 pyisomd5sum.so $(DESTDIR)/usr/$(LIBDIR)/$(PYTHON)/site-packages
+	install -d -m 0755 $(DESTDIR)$(PYTHONSITEPACKAGES)
+	install -m 0755 pyisomd5sum.so $(DESTDIR)$(PYTHONSITEPACKAGES)
 
 install-devel:
 	install -d -m 0755 $(DESTDIR)/usr/include

=== debian/changelog ===
isomd5sum (1:1.1.0-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Jan 2016 19:39:08 +0000

isomd5sum (1:1.1.0-1) unstable; urgency=medium

  * New upstream release
    * Upstream has added Python 3 support (while maintaining Python 2
      compatibility), so build python3-pyisomd5sum in addition to
      python-pyisomd5sum
  * Update Vcs location
  * Update Homepage/uscan to reflect upstream management via Github
  * Bump Standards-Version to 3.9.6

 -- Ryan Finnie <ryan@finnie.org>  Sat, 05 Dec 2015 05:52:41 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/python3/python.mk

PYVERS=$(shell pyversions -r)
PY3VERS=$(shell py3versions -r)

%:
	dh $@ --with=python2,python3

override_dh_auto_build:
	$(MAKE) implantisomd5 checkisomd5
	set -e; \
	for python in $(PYVERS) $(PY3VERS); do \
		mkdir -p build/$$python; \
		$(MAKE) -C build/$$python -f ../../Makefile VPATH=$(CURDIR) \
		PYTHON=$$python pyisomd5sum.so; \
	done

override_dh_auto_clean:
	rm -rf build
	$(MAKE) clean
	dh_clean 

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/isomd5sum install-bin
	set -e; \
	for python in $(PYVERS); do \
		install -m 0755 -d $(CURDIR)/debian/python-pyisomd5sum/usr/lib/$$python/$(call py_sitename_sh, $$python); \
		install -m 0644 build/$$python/pyisomd5sum.so $(CURDIR)/debian/python-pyisomd5sum/usr/lib/$$python/$(call py_sitename_sh, $$python)/pyisomd5sum.so; \
	done
	for python in $(PY3VERS); do \
		install -m 0755 -d $(CURDIR)/debian/python3-pyisomd5sum/usr/lib/$$python/$(call py_sitename_sh, $$python); \
		install -m 0644 build/$$python/pyisomd5sum.so $(CURDIR)/debian/python3-pyisomd5sum/usr/lib/$$python/$(call py_sitename_sh, $$python)/pyisomd5sum.so; \
	done

## isomd5sum 1.2.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 PYTHONSITEPACKAGES := $(shell $(PYTHON) -c 'import site; print(site.getsitepackages()[0])')
 PYTHONINCLUDE := $(shell $(PYTHON)-config --includes)
 
-VERSION=1.1.0
+VERSION=1.2.1
 
 ifneq (,$(filter sparc64 ppc64 ppc64le x86_64 s390x aarch64,$(shell uname -m)))
 LIBDIR = lib64
@@ -10,7 +10,7 @@
 LIBDIR = lib
 endif
 
-CFLAGS += -Wall -Werror -D_GNU_SOURCE=1 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE=1 -D_LARGEFILE64_SOURCE=1 -fPIC $(PYTHONINCLUDE)
+CFLAGS += -std=gnu11 -Wall -D_GNU_SOURCE=1 -fPIC $(PYTHONINCLUDE)
 
 OBJECTS = md5.o libimplantisomd5.o checkisomd5.o implantisomd5
 SOURCES = $(patsubst %.o,%.c,$(OBJECTS))
@@ -21,7 +21,7 @@
 all: implantisomd5 checkisomd5 pyisomd5sum.so libimplantisomd5.a libcheckisomd5.a
 
 %.o: %.c
-	$(CC) $(CPPFLAGS) $(CFLAGS) -c -O -o $@ $<
+	$(CC) $(CPPFLAGS) $(CFLAGS) -c -O3 -o $@ $<
 
 implantisomd5: implantisomd5.o libimplantisomd5.a
 	$(CC) $(CPPFLAGS) $(CFLAGS) implantisomd5.o libimplantisomd5.a -lpopt $(LDFLAGS) -o implantisomd5
@@ -29,9 +29,9 @@
 checkisomd5: checkisomd5.o libcheckisomd5.a
 	$(CC) $(CPPFLAGS) $(CFLAGS) checkisomd5.o libcheckisomd5.a -lpopt $(LDFLAGS) -o checkisomd5
 
-libimplantisomd5.a: libimplantisomd5.a(libimplantisomd5.o md5.o)
+libimplantisomd5.a: libimplantisomd5.a(libimplantisomd5.o md5.o utilities.o)
 
-libcheckisomd5.a: libcheckisomd5.a(libcheckisomd5.o md5.o)
+libcheckisomd5.a: libcheckisomd5.a(libcheckisomd5.o md5.o utilities.o)
 
 pyisomd5sum.so: $(PYOBJS)
 	$(CC) $(CPPFLAGS) $(CFLAGS) -shared -g -fpic $(PYOBJS) $(LDFLAGS) -o pyisomd5sum.so
@@ -69,3 +69,6 @@
 archive:
 	@git archive --format=tar --prefix=isomd5sum-$(VERSION)/ HEAD |bzip2 > isomd5sum-$(VERSION).tar.bz2
 	@echo "The final archive is in isomd5sum-$(VERSION).tar.bz2"
+
+test:
+	./testpyisomd5sum.py

=== debian/changelog ===
isomd5sum (1:1.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Ryan Finnie <ryan@finnie.org>  Sun, 06 Aug 2017 22:20:28 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: misc
 Priority: optional
 Maintainer: Ryan Finnie <ryan@finnie.org>
-Build-Depends: debhelper (>= 9), libpopt-dev, python-all-dev (>= 2.6.6-3~)
-Standards-Version: 3.9.4
-Homepage: http://fedorahosted.org/releases/i/s/isomd5sum
-Vcs-Browser: https://code.launchpad.net/~fo0bar/isomd5sum/isomd5sum-pkg-debian
-Vcs-Bzr: http://bazaar.launchpad.net/~fo0bar/isomd5sum/isomd5sum-pkg-debian
+Build-Depends: debhelper (>= 9), libpopt-dev, python-all-dev (>= 2.6.6-3~), python3-all-dev (>= 3.2.3-6~), dh-python, genisoimage
+Standards-Version: 4.0.0
+Homepage: https://github.com/rhinstaller/isomd5sum
+Vcs-Browser: https://github.com/rfinnie/isomd5sum-pkg-debian
+Vcs-Git: https://github.com/rfinnie/isomd5sum-pkg-debian
 XS-Python-Version: all
 
 Package: isomd5sum
@@ -36,3 +36,19 @@
  header, that will carry over to burning the CD.
  .
  This package contains Python modules for isomd5sum.
+
+Package: python3-pyisomd5sum
+Architecture: any
+Section: python
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
+Suggests: genisoimage
+Provides: ${python3:Provides}
+X-Python3-Version: >= 3.2
+Description: ISO9660 checksum Python 3 module
+ isomd5sum is a set of utilities for implanting a MD5 checksum in an 
+ ISO (or any block device), then verifying the checksum later.  isomd5sum
+ is not simply an MD5 of the entire ISO; it checksums the data inside a
+ standard ISO9660 image and write block checksum information to an ISO9660
+ header, that will carry over to burning the CD.
+ .
+ This package contains Python 3 modules for isomd5sum.

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,12 @@
 		PYTHON=$$python pyisomd5sum.so; \
 	done
 
+override_dh_auto_test:
+	set -e; \
+	for python in $(PYVERS) $(PY3VERS); do \
+		PYTHONPATH=$(CURDIR)/build/$$python $$python ./testpyisomd5sum.py; \
+	done
+
 override_dh_auto_clean:
 	rm -rf build
 	$(MAKE) clean

## isomd5sum 1.2.3

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 PYTHONSITEPACKAGES := $(shell $(PYTHON) -c 'import site; print(site.getsitepackages()[0])')
 PYTHONINCLUDE := $(shell $(PYTHON)-config --includes)
 
-VERSION=1.2.1
+VERSION=1.2.3
 
 ifneq (,$(filter sparc64 ppc64 ppc64le x86_64 s390x aarch64,$(shell uname -m)))
 LIBDIR = lib64
@@ -10,7 +10,7 @@
 LIBDIR = lib
 endif
 
-CFLAGS += -std=gnu11 -Wall -D_GNU_SOURCE=1 -fPIC $(PYTHONINCLUDE)
+CFLAGS += -std=gnu11 -Wall -D_GNU_SOURCE=1 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE=1 -D_LARGEFILE64_SOURCE=1 -fPIC $(PYTHONINCLUDE)
 
 OBJECTS = md5.o libimplantisomd5.o checkisomd5.o implantisomd5
 SOURCES = $(patsubst %.o,%.c,$(OBJECTS))
@@ -53,10 +53,12 @@
 install-devel:
 	install -d -m 0755 $(DESTDIR)/usr/include
 	install -d -m 0755 $(DESTDIR)/usr/$(LIBDIR)
+	install -d -m 0755 $(DESTDIR)/usr/share/pkgconfig
 	install -m 0644 libimplantisomd5.h $(DESTDIR)/usr/include/
 	install -m 0644 libcheckisomd5.h $(DESTDIR)/usr/include/
 	install -m 0644 libimplantisomd5.a $(DESTDIR)/usr/$(LIBDIR)
 	install -m 0644 libcheckisomd5.a $(DESTDIR)/usr/$(LIBDIR)
+	sed "s#@VERSION@#${VERSION}#g; s#@includedir@#/usr/include#g; s#@libdir@#/usr/${LIBDIR}#g" isomd5sum.pc.in > ${DESTDIR}/usr/share/pkgconfig/isomd5sum.pc
 
 clean:
 	rm -f *.o *.so *.pyc *.a .depend *~

=== debian/changelog ===
isomd5sum (1:1.2.3-5build9) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:20:42 +0000

isomd5sum (1:1.2.3-5build8) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:11:52 +0000

isomd5sum (1:1.2.3-5build7) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:00:28 +0100

isomd5sum (1:1.2.3-5build6) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 11:12:00 +0000

isomd5sum (1:1.2.3-5build5) noble; urgency=medium

  * No-change rebuild with Python 3.12 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Oct 2023 17:02:43 +0000

isomd5sum (1:1.2.3-5build4) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 17:21:17 -0500

isomd5sum (1:1.2.3-5build3) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Nov 2022 10:19:33 +0000

isomd5sum (1:1.2.3-5build2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:24:11 +0000

isomd5sum (1:1.2.3-5build1) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:56:29 +0000

isomd5sum (1:1.2.3-5) unstable; urgency=medium

  * Remove usage of genisoimage (Closes: #982236)
    - Replace Suggests: genisoimage with xorriso
    - Remove Build-Depends: genisoimage
    - Modify testpyisomd5sum.py to accept stdin/files
    - Use static ISO for test
  * Debhelper 13
  * Rules-Requires-Root: no
  * Fix pedantic lintian trailing-whitespace
  * Vcs: Use salsa.debian.org

 -- Ryan Finnie <ryan@finnie.org>  Tue, 16 Mar 2021 12:04:40 -0700

isomd5sum (1:1.2.3-4) unstable; urgency=medium

  * Remove python-pyisomd5sum (Python 2) package
  * Bump Standards-Version to 4.4.0
  * Convert debian/copyright to DEP5
  * Remove obsoleted spelling-error-in-patch-description long
    long override

 -- Ryan Finnie <ryan@finnie.org>  Sat, 31 Aug 2019 03:07:09 +0000

isomd5sum (1:1.2.3-3) unstable; urgency=medium

  * Fix previous FTBFS fix attempt (updated 32bitcheck.patch)

 -- Ryan Finnie <ryan@finnie.org>  Mon, 17 Dec 2018 04:43:37 +0000

isomd5sum (1:1.2.3-2) unstable; urgency=medium

  * Fix FTBFS on 32-bit platforms
    (https://github.com/rhinstaller/isomd5sum/issues/20)

 -- Ryan Finnie <ryan@finnie.org>  Sun, 16 Dec 2018 23:23:31 +0000

isomd5sum (1:1.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Ryan Finnie <ryan@finnie.org>  Sun, 09 Dec 2018 06:34:07 +0000

=== debian/control ===
Source: isomd5sum
Section: misc
Priority: optional
Maintainer: Ryan Finnie <ryan@finnie.org>
Build-Depends: debhelper-compat (= 13), debhelper, libpopt-dev, python3-all-dev (>= 3.2.3-6~), dh-python
Standards-Version: 4.4.0
Rules-Requires-Root: no
Homepage: https://github.com/rhinstaller/isomd5sum
Vcs-Browser: https://salsa.debian.org/rfinnie/isomd5sum-pkg-debian
Vcs-Git: https://salsa.debian.org/rfinnie/isomd5sum-pkg-debian.git

Package: isomd5sum
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ISO9660 checksum utilities
 isomd5sum is a set of utilities for implanting a MD5 checksum in an
 ISO (or any block device), then verifying the checksum later.  isomd5sum
 is not simply an MD5 of the entire ISO; it checksums the data inside a
 standard ISO9660 image and write block checksum information to an ISO9660
 header, that will carry over to burning the CD.
 .
 This package contains the utilities implantisomd5 and checkisomd5.

Package: python3-pyisomd5sum
Architecture: any
Section: python
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Suggests: xorriso
Provides: ${python3:Provides}
X-Python3-Version: >= 3.2
Description: ISO9660 checksum Python 3 module
 isomd5sum is a set of utilities for implanting a MD5 checksum in an
 ISO (or any block device), then verifying the checksum later.  isomd5sum
 is not simply an MD5 of the entire ISO; it checksums the data inside a
 standard ISO9660 image and write block checksum information to an ISO9660
 header, that will carry over to burning the CD.
 .
 This package contains Python 3 modules for isomd5sum.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/python3/python.mk

PY3VERS=$(shell py3versions -r)

%:
	dh $@ --with=python3

override_dh_auto_build:
	$(MAKE) implantisomd5 checkisomd5
	set -e; \
	for python in $(PY3VERS); do \
		mkdir -p build/$$python; \
		$(MAKE) -C build/$$python -f ../../Makefile VPATH=$(CURDIR) \
		PYTHON=$$python pyisomd5sum.so; \
	done

override_dh_auto_test:
	set -e; \
	for python in $(PY3VERS); do \
		gunzip -c debian/testiso.iso.gz | env PYTHONPATH=$(CURDIR)/build/$$python $$python ./testpyisomd5sum.py -; \
	done

override_dh_auto_clean:
	rm -rf build
	$(MAKE) clean
	dh_clean

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/isomd5sum install-bin
	set -e; \
	for python in $(PY3VERS); do \
		install -m 0755 -d $(CURDIR)/debian/python3-pyisomd5sum/usr/lib/$$python/$(call py_sitename_sh, $$python); \
		install -m 0644 build/$$python/pyisomd5sum.so $(CURDIR)/debian/python3-pyisomd5sum/usr/lib/$$python/$(call py_sitename_sh, $$python)/pyisomd5sum.so; \
	done

## isomd5sum 1.2.5

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 PYTHONSITEPACKAGES := $(shell $(PYTHON) -c 'import site; print(site.getsitepackages()[0])')
 PYTHONINCLUDE := $(shell $(PYTHON)-config --includes)
 
-VERSION=1.2.3
+VERSION=1.2.5
 
-ifneq (,$(filter sparc64 ppc64 ppc64le x86_64 s390x aarch64,$(shell uname -m)))
+ifneq (,$(filter sparc64 ppc64 ppc64le x86_64 s390x aarch64 mips64 riscv64,$(shell uname -m)))
 LIBDIR = lib64
 else
 LIBDIR = lib
@@ -73,4 +73,4 @@
 	@echo "The final archive is in isomd5sum-$(VERSION).tar.bz2"
 
 test:
-	./testpyisomd5sum.py
+	$(PYTHON) ./testpyisomd5sum.py

=== debian/changelog ===
isomd5sum (1:1.2.5-1) unstable; urgency=medium

  * New upstream release
  * Port to pybuild (Closes: #1121931)
  * Lintian cleanup

 -- Ryan Finnie <ryan@finnie.org>  Sat, 28 Feb 2026 20:28:08 -0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Ryan Finnie <ryan@finnie.org>
-Build-Depends: debhelper-compat (= 13), debhelper, libpopt-dev, python3-all-dev (>= 3.2.3-6~), dh-python
+Build-Depends: debhelper-compat (= 13), debhelper, libpopt-dev, python3-all-dev (>= 3.2.3-6~), dh-python, xorriso
 Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Homepage: https://github.com/rhinstaller/isomd5sum
@@ -26,8 +26,6 @@
 Section: python
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
 Suggests: xorriso
-Provides: ${python3:Provides}
-X-Python3-Version: >= 3.2
 Description: ISO9660 checksum Python 3 module
  isomd5sum is a set of utilities for implanting a MD5 checksum in an
  ISO (or any block device), then verifying the checksum later.  isomd5sum

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_SYSTEM=custom
export PYBUILD_NAME=pyisomd5sum
export PYBUILD_BEFORE_BUILD=$(MAKE) implantisomd5 checkisomd5
export PYBUILD_BEFORE_INSTALL=$(MAKE) DESTDIR=$(CURDIR)/debian/isomd5sum install-bin
export PYBUILD_BUILD_ARGS=$(MAKE) -C {build_dir} -f {dir}/Makefile VPATH={dir} PYTHON={interpreter} pyisomd5sum.so
export PYBUILD_TEST_ARGS={interpreter} {dir}/testpyisomd5sum.py -
export PYBUILD_INSTALL_ARGS=mkdir -p {destdir}{install_dir} && cp {build_dir}/pyisomd5sum.so {destdir}{install_dir}

%:
	dh $@ --with=python3 --buildsystem pybuild

override_dh_auto_clean:
	rm -rf build .pybuild
	$(MAKE) clean
	dh_clean

=== debian/watch ===
version=4
# Current method via https://wiki.debian.org/debian/watch#Version_4_Samples
# Seems very fragile, but works for now
opts="searchmode=plain,\
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" \
https://api.github.com/repos/rhinstaller/isomd5sum/releases?per_page=100 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@

## isomd5sum 11.1.0.95

=== Makefile ===
include Makefile.inc

CFLAGS = -g -fPIC -D_FILE_OFFSET_BITS=64 -I$(PYTHONINCLUDE) -O -Wall -Werror \
	-D_FORTIFY_SOURCE=2
OBJECTS = md5.o libimplantisomd5.o checkisomd5.o pyisomd5sum.c \
	  implantisomd5 checkisomd5
SOURCES = $(patsubst %.o,%.c,$(OBJECTS))
LDFLAGS = -lpopt

PYOBJS = pyisomd5sum.o libcheckisomd5.o libimplantisomd5.o md5.o

ifeq (.depend,$(wildcard .depend))
TARGET=all
else
TARGET=depend all
endif

all: implantisomd5 checkisomd5 pyisomd5sum.so	

%.o: %.c
	gcc -c -O $(CFLAGS) -o $@ $<

implantisomd5: implantisomd5.o md5.o libimplantisomd5.o

checkisomd5: checkisomd5.o md5.o libcheckisomd5.o

pyisomd5sum.so: $(PYOBJS)
	gcc -shared -g -o pyisomd5sum.so -fpic $(PYOBJS)

install:
	install -m 755 implantisomd5 $(DESTDIR)/$(RUNTIMEDIR)
	install -m 755 checkisomd5 $(DESTDIR)/$(RUNTIMEDIR)
	install -s pyisomd5sum.so $(DESTDIR)/$(RUNTIMEDIR)

clean:
	rm -f *.o *.lo *.so *.pyc .depend *~
	rm -f implantisomd5 checkisomd5 

depend:
	$(CPP) -M $(CFLAGS) -I$(PYTHONINCLUDE) *.c > .depend


ifeq (.depend,$(wildcard .depend))
include .depend
endif

## isomd5sum 11.2.0.28

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,10 @@
 include Makefile.inc
 
-CFLAGS = -g -fPIC -D_FILE_OFFSET_BITS=64 -I$(PYTHONINCLUDE) -O -Wall -Werror \
-	-D_FORTIFY_SOURCE=2
+CFLAGS += -I$(PYTHONINCLUDE)  -fPIC
 OBJECTS = md5.o libimplantisomd5.o checkisomd5.o pyisomd5sum.c \
 	  implantisomd5 checkisomd5
 SOURCES = $(patsubst %.o,%.c,$(OBJECTS))
-LDFLAGS = -lpopt
+LDFLAGS += -lpopt -fPIC
 
 PYOBJS = pyisomd5sum.o libcheckisomd5.o libimplantisomd5.o md5.o
 
@@ -25,7 +24,7 @@
 checkisomd5: checkisomd5.o md5.o libcheckisomd5.o
 
 pyisomd5sum.so: $(PYOBJS)
-	gcc -shared -g -o pyisomd5sum.so -fpic $(PYOBJS)
+	gcc -shared -g -o pyisomd5sum.so -fpic $(PYOBJS) $(LDFLAGS)
 
 install:
 	install -m 755 implantisomd5 $(DESTDIR)/$(RUNTIMEDIR)

## isomd5sum 11.4.0.1.1

=== Makefile ===
--- 
+++ 
@@ -27,9 +27,12 @@
 	gcc -shared -g -o pyisomd5sum.so -fpic $(PYOBJS) $(LDFLAGS)
 
 install:
-	install -m 755 implantisomd5 $(DESTDIR)/$(RUNTIMEDIR)
-	install -m 755 checkisomd5 $(DESTDIR)/$(RUNTIMEDIR)
-	install -s pyisomd5sum.so $(DESTDIR)/$(RUNTIMEDIR)
+	mkdir -p $(DESTDIR)/usr/$(LIBDIR)/$(PYTHON)/site-packages
+	install -m 755 implantisomd5 $(DESTDIR)/usr/bin
+	install -m 755 checkisomd5 $(DESTDIR)/usr/bin
+	install -m 755 pyisomd5sum.so $(DESTDIR)/usr/$(LIBDIR)/$(PYTHON)/site-packages
+	ln -s ../../bin/implantisomd5 $(DESTDIR)/usr/lib/anaconda-runtime/implantisomd5
+	ln -s ../../bin/checkisomd5 $(DESTDIR)/usr/lib/anaconda-runtime/checkisomd5
 
 clean:
 	rm -f *.o *.lo *.so *.pyc .depend *~
